Comment 3 for bug 1586239

Trent Lloyd (lathiat) wrote :

Can confirm this here, on upgrade from xenial-proposed to yakkety-proposed.

The good news is, if you re-run the upgrade it works since the hexchat package gets unpacked afterwards. But obviously this needs to be fixed.

Unpacking hexchat-python (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...
Selecting previously unselected package hexchat-python3.
Preparing to unpack .../hexchat-python3_2.12.0-2ubuntu2_amd64.deb ...
Unpacking hexchat-python3 (2.12.0-2ubuntu2) ...
Preparing to unpack .../hexchat-perl_2.12.0-2ubuntu2_amd64.deb ...
Unpacking hexchat-perl (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...
Preparing to unpack .../hexchat-plugins_2.12.0-2ubuntu2_amd64.deb ...
Unpacking hexchat-plugins (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...
dpkg: error processing archive /var/cache/apt/archives/hexchat-plugins_2.12.0-2ubuntu2_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/pkgconfig/hexchat-plugin.pc', which is also in package hexchat 2.10.2-1ubuntu3
Preparing to unpack .../hexchat_2.12.0-2ubuntu2_amd64.deb ...
Unpacking hexchat (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...
Preparing to unpack .../hexchat-common_2.12.0-2ubuntu2_all.deb ...
Unpacking hexchat-common (2.12.0-2ubuntu2) over (2.10.2-1ubuntu3) ...